### Method

# Tracker SparqlCursor get_variable_name

#### Declaration [src]

    const gchar*
    tracker_sparql_cursor_get_variable_name (
      TrackerSparqlCursor* cursor,
      gint column
    )

#### Description [src]

Retrieves the name of the given `column`.

This name will be defined at the SPARQL query, either implicitly from the names of the variables returned in the resultset, or explicitly through the `AS ?var` SPARQL syntax.

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve (first one is 0)

#### Return value

Type: `const gchar*`

The name of the given column.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.